Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.cli
Class ToolTestBase

    java.lang.Object
      org.apache.any23.Any23OnlineTestBase
          org.apache.any23.cli.ToolTestBase

Direct Known Subclasses:
  ExtractorDocumentationTest, MicrodataParserTest, MimeDetectorTest, PluginVerifierTest, RoverTest, VersionTest, VocabPrinterTest

    public abstract class ToolTestBase

extends Any23OnlineTestBase

Base class for CLI related tests.

Author:
  Michele Mostarda (mostarda@fbk.eu)

Field Summary
`static String` | `TOOL_RUN_METHOD`

Fields inherited from class org.apache.any23.Any23OnlineTestBase
`ONLINE_TEST_DISABLED_FLAG`

Constructor Summary
`protected` | `ToolTestBase(Class<? extends org.apache.any23.cli.Tool> tool)`

Method Summary
`protected int` | `runTool(String... args)` Runs the underlying tool.
`protected int` | `runTool(String args)` Runs the underlying tool.
`protected void` | `runToolCheckExit0(String... args)` Runs the underlying tool and verify the exit code to `0`.

Methods inherited from class org.apache.any23.Any23OnlineTestBase
`assumeOnlineAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOOL_RUN_METHOD

    public static final String TOOL_RUN_METHOD

See Also:
  Constant Field Values

Constructor Detail

### ToolTestBase

    protected ToolTestBase(Class<? extends org.apache.any23.cli.Tool> tool)

Method Detail

### runTool

    protected int runTool(String... args)
                   throws Exception

  Runs the underlying tool.

  Parameters:
    `args` - tool arguments.
  Returns:
    the tool exit code.
  Throws:
    `Exception`

### runTool

    protected int runTool(String args)
                   throws Exception

  Runs the underlying tool.

  Parameters:
    `args` - args tool arguments.
  Returns:
    the tool exit code.
  Throws:
    `Exception`

### runToolCheckExit0

    protected void runToolCheckExit0(String... args)
                              throws Exception

  Runs the underlying tool and verify the exit code to `0`.

  Parameters:
    `args` - tool arguments.
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.